CURLOPT_ADDRESS_SCOPE(3)

NAME
CURLOPT_ADDRESS_SCOPE - set scope id for IPv6 addresses

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_ADDRESS_SCOPE, long scope);

DESCRIPTION
Pass a long specifying the scope id value to use when connecting to IPv6 addresses.

DEFAULT
0

PROTOCOLS
All, when using IPv6

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode ret;
  long my_scope_id;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  my_scope_id = if_nametoindex("eth0");
  curl_easy_setopt(curl, CURLOPT_ADDRESS_SCOPE, my_scope_id);
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.19.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not. Returns CURLE_BAD_FUNCTION_ARGUMENT if set to a negative value.

SEE ALSO
CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),